<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}

function form_validate(form)
{
if (!form.r_1_email.value)
	{
	alert('You must provide at least one email recipient before sending this message');
	return;
	}
if ((!form.s_fname.value) || (!form.s_lname.value) || (!form.s_email.value))
	{
	alert('You must provide your full name and email address before sending this message');
	return;
	}
form.submit();
return;
}

function preview_mess(form)
{
if ((!form.s_fname.value) || (!form.s_lname.value) || (!form.s_email.value))
	{
	alert('You must provide your full name and email address before previewing this message');
	return;
	}
var url_val = 'friend_preview.php?s_fname=' + form.s_fname.value + '&s_lname=' + form.s_lname.value + '&s_email=' + form.s_email.value + '&add_text=' + form.add_text.value + '&r_1_name=' + form.r_1_name.value + '&r_1_email=' + form.r_1_email.value + '&r_2_name=' + form.r_2_name.value + '&r_2_email=' + form.r_2_email.value + '&r_3_name=' + form.r_3_name.value + '&r_3_email=' + form.r_3_email.value + '&r_4_name=' + form.r_4_name.value + '&r_4_email=' + form.r_4_email.value + '&r_5_name=' + form.r_5_name.value + '&r_5_email=' + form.r_5_email.value + '&r_6_name=' + form.r_6_name.value + '&r_6_email=' + form.r_6_email.value + '&r_7_name=' + form.r_7_name.value + '&r_7_email=' + form.r_7_email.value + '&r_8_name=' + form.r_8_name.value + '&r_8_email=' + form.r_8_email.value + '&r_9_name=' + form.r_9_name.value + '&r_9_email=' + form.r_9_email.value + '&r_10_name=' + form.r_10_name.value + '&r_10_email=' + form.r_10_email.value
var myWin = window.open(url_val, 'newWin', 'width=600,height=500,resize=no');
return;
}
//-->